import { Subscription } from "../../../meta/subscription-plan/subscription.resource";
export declare function createSubscription(pricingId: string): Promise<void>;
/** @internal */
export declare function fetchActiveOrTrialSubscription(): Promise<unknown>;
export declare function hasAnySubscription(): Promise<boolean>;
export declare function hasScheduledCancelation(activeSubscription?: Subscription, selectedPricingId?: string): boolean;
